| Home | Libraries | People | FAQ | More

#### buffer_copy (5 of 30 overloads)

Copies bytes from a source buffer sequence to a target buffer.

    template<
        typename ConstBufferSequence>
    std::size_t buffer_copy(
        const mutable_buffer & target,
        const ConstBufferSequence & source);

###### Parameters

target

  A modifiable buffer representing the memory region to which the bytes will be copied.

source

  A non-modifiable buffer sequence representing the memory regions from which the bytes will be copied.

###### Return Value

The number of bytes copied.

###### Remarks

The number of bytes copied is the lesser of:

- `buffer_size(target)`
- `buffer_size(source)`